Subject: Re: [PATCH v2] Fix definition of ARRAY_SIZE for non-gcc builds

From: Charles Bailey <[email-masked]>
Date: Wed, 24 Jun 2015 23:19:10 +0100

On Wed, Jun 24, 2015 at 11:12:07PM +0100, Charles Bailey wrote:
> From: Charles Bailey <[email-masked]>
> 
> The improved ARRAY_SIZE macro uses BARF_UNLESS_AN_ARRAY which is expands
> to a valid check for recent gcc versions and to 0 for older gcc
> versions but is not defined on non-gcc builds.
 
Actually hitting send is a sure fire way to get me spot other errors:
s/which is expands/which expands/